<script>
  import "../tachyons/css/tachyons.css"
  import { fade } from 'svelte/transition'
  import Login from "./Login.svelte"
  import Register from "./Register.svelte"
  import Cookies from "js-cookie"
  import api from './api.js'

  let debug = true;

  let login_data = Cookies.getJSON('login_data');
  function drop_login() {
    Cookies.remove('login_data')
    login_data = undefined
  }
  function logout() {
    api.logout(login_data.token).then(drop_login, null)
  }
  $: if (login_data) {
    api.ping(login_data.token).then(null, drop_login)
  }
</script>

<main>
  {#if login_data }
    <div in:fade="{{delay:0,duration:300}}">
      <div class='flex flex-wrap'>
        <div class='w-25'>
          <h1 class="ma0 tl">Welcome {login_data.username}!</h1>
        </div>
        <div class='w-75 tr' id='menu'>
          <a href='#' class='ph2'>Git Repository</a>
          {#if debug }
          <a href={api.endpoint} class='ph2'>API Explorer</a>
          <a href={api.endpoint + 'admin/'} class='ph2'>Admin</a>
          {/if}
          <a on:click|preventDefault={logout} href='#' class='ph2'>Log out</a>
        </div>
      </div>
      <Register login_data={login_data}/>
    </div>
  {:else}
    <div transition:fade="{{delay:400,duration:100}}">
      <Login on:login={(ev) => { Cookies.set('login_data', login_data = ev.detail); }}/>
    </div>
  {/if}
</main>

<style>
  main {
    text-align: center;
    padding: 1em;
    max-width: 240px;
    margin: 0 auto;
  }

  @media (min-width: 640px) {
    main {
      max-width: none;
    }
  }
</style>
